Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Drill >> mail # dev >> Build Error


Copy link to this message
-
Re: Build Error
Please file a jira.  We're using the default source level for that
project and it should be set to 1.7 like the rest of Drill.  On later
versions of Maven I think it defaults to a higher version of Java so
this problem doesn't happen.

J
On Wed, Aug 14, 2013 at 4:24 AM, Eric Brook <[EMAIL PROTECTED]> wrote:
> Hi,
>
> I am trying to install Apache Drill on Ubuntu 13.04, following the steps
> given in
>
> https://cwiki.apache.org/confluence/display/DRILL/Demo+HowTo#
>
> just once change insted of openjdk I am using Oracle Java 7
>
> but the Build is failed. Please check the stack given below:
>
> [INFO] ---------------------------------------------------------------------
> ---
> [INFO] Building Netty/Drill/Buffer
> [INFO]    task-segment: [install]
> [INFO] ---------------------------------------------------------------------
> ---
> [INFO] [resources:resources {execution: default-resources}]
> [WARNING] Using platform encoding (UTF-8 actually) to copy filtered
> resources, i.e. build is platform dependent!
> [INFO] skip non existing resourceDirectory /home/hduser/Downloads/apache-
> drill/incubator-drill/sandbox/prototype/exec/bufferl/src/main/resources
> [INFO] [compiler:compile {execution: default-compile}]
> [INFO] Compiling 8 source files to /home/hduser/Downloads/apache-
> drill/incubator-drill/sandbox/prototype/exec/bufferl/target/classes
> [INFO] ---------------------------------------------------------------------
> ---
> [ERROR] BUILD FAILURE
> [INFO] ---------------------------------------------------------------------
> ---
> [INFO] Compilation failure
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[19,24] error: generics are not supported in -source 1.3
>
>   (use -source 5 or higher to enable generics)
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[93,37] error: not a statement
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[118,37] error: not a statement
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[145,19] error: ';' expected
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[145,36] error: not a statement
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[153,19] error: ';' expected
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolSubpa
> geL.java:[153,36] error: not a statement
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolChunk
> L.java:[19,22] error: generics are not supported in -source 1.3
>
>   (use -source 5 or higher to enable generics)
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolChunk
> L.java:[95,5] error: annotations are not supported in -source 1.3
>
>   (use -source 5 or higher to enable annotations)
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolChunk
> L.java:[248,28] error: ';' expected
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolChunk
> L.java:[250,26] error: ';' expected
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolChunk
> L.java:[250,45] error: not a statement
>
> /home/hduser/Downloads/apache-drill/incubator-
> drill/sandbox/prototype/exec/bufferl/src/main/java/io/netty/buffer/PoolChunk
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB